import  { 
  select,
  json,
  geoPath,
  geoNaturalEarth1,
  zoom,
  event
} from 'd3';
import { feature } from 'topojson';

const svg = select("svg");
const g = svg.append("g");
svg.call(zoom().on('zoom',() => {
  g.attr('transform', event.transform);
})); 
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
g.append("path")
  		.attr("d", pathGenerator({type : "Sphere"}))
			.attr("class", "sphere");

json("https://unpkg.com/world-atlas@2.0.2/countries-10m.json")
	.then(data => {
  	const countries = feature(data, data.objects.countries);
    g.selectAll("path")
  		.data(countries.features)
  		.enter().append("path")
        .attr("class", "country")
        .attr("d", pathGenerator)
  		.append("title")
  			.text(d => d.properties.name);
	});